thd_image_image:
  class: sfDoctrineRouteCollection
  options:
    model:                ThdImage
    module:               image
    prefix_path:          image
    column:               id
    with_wildcard_routes: true

thd_video_video:
  class: sfDoctrineRouteCollection
  options:
    model:                ThdVideo
    module:               video
    prefix_path:          video
    column:               id
    with_wildcard_routes: true

thd_film_film:
  class: sfDoctrineRouteCollection
  options:
    model:                ThdFilm
    module:               film
    prefix_path:          film
    column:               id
    with_wildcard_routes: true

thd_segment_segment:
  class: sfDoctrineRouteCollection
  options:
    model:                ThdSegment
    module:               segment
    prefix_path:          segment
    column:               id
    with_wildcard_routes: true

thd_segment:
  class: sfDoctrineRouteCollection
  options:
    model:                ThdSegment
    module:               thd_segment
    prefix_path:          thd_segment
    column:               id
    with_wildcard_routes: true

# default rules
homepage:
  url:   /
  param: { module: default, action: index }

default_index:
  url:   /:module
  param: { action: index }

default:
  url:   /:module/:action/*
